Bug 201470 - Review Request: genchemlab
Review Request: genchemlab
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: cq92j9y+rlkr0w
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-05 19:07 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 16:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-08-05 19:07:15 EDT
Spec URL: http://www.knox.net.nz/~nodoid/genchemlab.spec
SRPM URL: http://www.knox.net.nz/~nodoid/genchemlab-1.0-1.src.rpm
Description: 

genchemlab is an OpenGL application which simulates a number of different chemistry lab practicals, but allows the user to alter the parameters
Comment 1 cq92j9y+rlkr0w 2006-08-05 20:18:40 EDT
Hi Paul,

* Your package must own %{_datadir}/%{name}.
* Why do you use 'strip' in %install? Because of this the -debug rpm is empty.
* There are a couple of warnings from desktop-file-install that can be easily fixed:
  - warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"
  - warning: boolean key "Terminal" has value "0", boolean values should be
"false" or "true", although "0" and "1" are allowed in this field for backwards
Comment 2 Paul F. Johnson 2006-08-05 20:32:38 EDT
Okay, fixed the first one. Nice and simple.

The strip is there as rpmlint was moaning that the binary had not been stripped.
Not sure how to fix the last two, unless it's KDE being stupid. The spec file
has X-Fedora already in it. I think the second warning can be ignored.

Spec URL: http://www.knox.net.nz/~nodoid/genchemlab.spec

has the update
Comment 3 cq92j9y+rlkr0w 2006-08-05 21:00:15 EDT
Paul,

I tried removing the 'strip' line and rpmlint didn't complain about anything (I
ran rpmlint both on the .rpm and installed package). This change, as expected,
allowed the -debug package to be correctly created.
By the way, I'm using rpmlint-0.77-1.fc6.

The desktop-file-install warnings are not serious, but I don't think it'd be a
lot of trouble to fix them (maybe with some sed magic).
Comment 4 Paul F. Johnson 2006-08-06 06:04:24 EDT
Spec URL: http://www.knox.net.nz/~nodoid/genchemlab.spec
SRPM URL: http://www.knox.net.nz/~nodoid/genchemlab-1.0-3.src.rpm

removed the strip
added a patch for the desktop file - it was easier to patch than use sed
Comment 5 cq92j9y+rlkr0w 2006-08-06 08:52:14 EDT
I'll do a formal review in a bit.
Comment 6 cq92j9y+rlkr0w 2006-08-08 23:10:57 EDT
Hi Paul,

* The .spec file you're linking to is not the same included in the .src.rpm.
Anyway, I'm reviewing the one from the source rpm.
* %{?smp_flags} should be %{?_smp_mflags}.
* It seems a common practice in Extras is to use "dl.sourceforge.net" as value
for the 'Source' tag instead of a mirror. This is not a blocker, though.

Everything else looks fine.
Fix the _smp_mflags typo and I'll approve this package.


REVIEW (genchemlab-1.0-3)

+ rpmlint shows no error.
+ package meets the naming guidelines.
+ spec-file is properly named.
X package doesn't meet the packaging guidelines
    - Parallel make macro should be %{?_smp_mflags} not %{?smp_flags} :)
+ package license is open-source compatible (GPL).
+ license field matches the actual license.
+ license file included in %doc.
+ spec file is written in english.
+ spec file is legible.
+ source files match upstream:
  ef364cff3f3e2dba4c62a5d1a0084bae  genchemlab-1.0.tgz
+ package successfully compiled, built and tested on i386 (rawhide).
+ all build dependencies are listed in BuildRequires.
+ package doesn't need to use %find_lang (no locales present).
+ package doesn't contain shared libraries.
+ package isn't relocatable.
+ package owns all directories that it creates.
+ no duplicate files in %files.
+ file permissions are properly set.
+ package has a %clean section containing rm -rf %{buildroot}.
+ package uses macros consistently.
+ package contains code, not content.
+ no -doc subpackage needed.
+ %docs don't affect application runtime.
+ package doesn't contain headers, static libraries or pkgconfig files (no devel
package).
+ GUI application; includes .desktop file installed correctly with
desktop-file-install.
+ package doesn't own directories owned by other packages.
+ package builds fine in mock (fedora-development-i386-core).
Comment 7 Paul F. Johnson 2006-08-09 07:08:18 EDT
Spec URL: http://www.knox.net.nz/~nodoid/genchemlab.spec
SRPM URL: http://www.knox.net.nz/~nodoid/genchemlab-1.0-4.src.rpm

Fixed the _smp_mflags thing

* It seems a common practice in Extras is to use "dl.sourceforge.net" as value
for the 'Source' tag instead of a mirror. This is not a blocker, though.

sourceforge enjoys acting up on occassion which is why I always give a direct
link to the ftp place which has the tarball
Comment 8 cq92j9y+rlkr0w 2006-08-09 15:48:28 EDT
Review (genchemlab-1.0-4)

< X package doesn't meet the packaging guidelines
> + package meets the packaging guidelines

APPROVED then :)

Note You need to log in before you can comment on or make changes to this bug.